Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Assembly_Impl Class Reference

Servant implementation for Components::Deployment::Assembly. More...

`#include <Assembly_Impl.h>`

Collaboration diagram for CIAO::Assembly_Impl:

[legend]
List of all members.

## Public Member Functions
| Assembly_Impl (CORBA::ORB_ptr o, PortableServer::POA_ptr p, Assembly_Spec *spec, Deployment_Configuration &config)
| Constructor.
virtual | ~Assembly_Impl (void)
| Destructor.
virtual PortableServer::POA_ptr | _default_POA (void)
int | init (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | build (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::CreateFailure)
| Components::Deployment::Assembly defined attributes/operations.
virtual void | tear_down (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::RemoveFailure)
virtual ::Components::Deployment::AssemblyState | get_state (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Protected Member Functions
void | make_connection (Assembly_Connection::Connect_Info *info ACE_ENV_ARG_DECL_WITH_DEFAULTS)
CORBA::Object_ptr | resolve_interface (Assembly_Connection::IF_Resolver_Info *info ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Components::CCMObject_ptr | resolve_component (Assembly_Connection::IF_Resolver_Info *info ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Components::CCMHome_ptr | resolve_home (Assembly_Connection::IF_Resolver_Info *info ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Components::EventConsumerBase_ptr | resolve_consumer (Assembly_Connection::IF_Resolver_Info *info ACE_ENV_ARG_DECL_WITH_DEFAULTS)
## Protected Attributes
CORBA::ORB_var | orb_
| Keep a pointer to the managing ORB serving this servant.
PortableServer::POA_var | poa_
| Keep a pointer to the managing POA.
::Components::Deployment::AssemblyState | state_
| Current State.
CORBA::ULong | serial_number_
| <debug> My instance number.
Deployment_Configuration & | deployment_config_
| Deployment Configuration Info.
Assembly_Spec * | assembly_spec_
| Assembly Specification.
Assembly_Context | assembly_context_
## Static Protected Attributes
CORBA::ULong | assembly_count_ = 0
| <debug> instance counter.

## Detailed Description

Servant implementation for Components::Deployment::Assembly.

This class implements the Components::Deployment::Assembly interface as defined by the CCM spcification. As the interface implies, this is actually part of the deployment interface and is used to manage the lifecycle of containers running on the server.

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Assembly_Impl::Assembly_Impl | ( | CORBA::ORB_ptr | o,
|  | PortableServer::POA_ptr | p,
|  | Assembly_Spec * | spec,
|  | Deployment_Configuration & | config
| ) |

| Constructor.

CIAO::Assembly_Impl::~Assembly_Impl | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

PortableServer::POA_ptr CIAO::Assembly_Impl::_default_POA | ( | void |  | ) | `[virtual]`

| Get the containing POA. This operation does *not* increase the reference count of the POA.

void CIAO::Assembly_Impl::build | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException, Components::CreateFailure)`[virtual]`

| Components::Deployment::Assembly defined attributes/operations.

virtual ::Components::Deployment::AssemblyState CIAO::Assembly_Impl::get_state | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

int CIAO::Assembly_Impl::init | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

| Initialize the Assembly with an Assembly_Spec and a reference to a Deployment_Configuration object. The Assembly class assumes the ownership of Assembly_Spec.

void CIAO::Assembly_Impl::make_connection | ( | Assembly_Connection::Connect_Info *info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[protected]`

| Connection establishment helper functions

Components::CCMObject_ptr CIAO::Assembly_Impl::resolve_component | ( | Assembly_Connection::IF_Resolver_Info *info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[protected]`

| Connection establishment helper functions

Components::EventConsumerBase_ptr CIAO::Assembly_Impl::resolve_consumer | ( | Assembly_Connection::IF_Resolver_Info *info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[protected]`

| Connection establishment helper functions

Components::CCMHome_ptr CIAO::Assembly_Impl::resolve_home | ( | Assembly_Connection::IF_Resolver_Info *info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[protected]`

| Connection establishment helper functions

CORBA::Object_ptr CIAO::Assembly_Impl::resolve_interface | ( | Assembly_Connection::IF_Resolver_Info *info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[protected]`

| Connection establishment helper functions

void CIAO::Assembly_Impl::tear_down | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException, Components::RemoveFailure)`[virtual]`

## Member Data Documentation

Assembly_Context CIAO::Assembly_Impl::assembly_context_`[protected]`

CORBA::ULong CIAO::Assembly_Impl::assembly_count_ = 0`[static, protected]`

| <debug> instance counter.

Assembly_Spec* CIAO::Assembly_Impl::assembly_spec_`[protected]`

| Assembly Specification.

Deployment_Configuration& CIAO::Assembly_Impl::deployment_config_`[protected]`

| Deployment Configuration Info.

CORBA::ORB_var CIAO::Assembly_Impl::orb_`[protected]`

| Keep a pointer to the managing ORB serving this servant.

PortableServer::POA_var CIAO::Assembly_Impl::poa_`[protected]`

| Keep a pointer to the managing POA.

CORBA::ULong CIAO::Assembly_Impl::serial_number_`[protected]`

| <debug> My instance number.

::Components::Deployment::AssemblyState CIAO::Assembly_Impl::state_`[protected]`

| Current State.

The documentation for this class was generated from the following files:

- Assembly_Impl.h
- Assembly_Impl.cpp
- Assembly_Impl.inl